# RPM specfile for gtkhtml module
# Generated Wed Apr 30 14:44:49 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.227 2003/04/19 20:41:38 thunder Exp $

%define nam	gtkhtml
%define ver	3.0.3
%define ximrev	1

Name:     	gtkhtml3.0
Version: 	3.0.3
Release:	0.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Solaris 8 / SPARC
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /opt/gnome/doc

URL:		http://www.gnome.org/
Source0:	gtkhtml-3.0.3.tar.gz
BuildRequires:	libgal2.0-devel >= 1.99.3
BuildRequires:	libgnomeprint22-devel = 2.2.1.1
BuildRequires:	libgnomeprintui22-devel = 2.2.1.1
BuildRequires:	libsoup-devel >= 1.99
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Requires:	libgtkhtml3.0_1 = %{version}-%{release}
Provides:	ximian-gtkhtml3.0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files
%defattr(-, root, root)
/opt/gnome/lib/gtkhtml
/opt/gnome/share/gtkhtml-3.0
/opt/gnome/*/locale/*/LC_MESSAGES/*.mo
/opt/gnome/lib/bonobo/servers/*


%package -n gtkhtml3.0-devel
Summary:	Development libraries, header files and utilities for GtkHTML
Group:		Development/Libraries
Requires:	gtkhtml3.0 = %{version}-%{release}
Requires:	libgtkhtml3.0_1 = %{version}-%{release}
Requires:	libgnomeprint22-devel
Requires:	libgnomeprintui22-devel
Requires:	libgal2.0-devel >= 1.99.3
Provides:	ximian-gtkhtml3.0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gtkhtml3.0-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n gtkhtml3.0-devel
%defattr(-, root, root)
/opt/gnome/lib/lib*.a
/opt/gnome/lib/lib*.so
/opt/gnome/lib/pkgconfig/*.pc
/opt/gnome/include/*


%package -n libgtkhtml3.0_1
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Provides:	libgtkhtml3.0
Provides:	ximian-libgtkhtml3.0_1 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgtkhtml3.0-0

%description -n libgtkhtml3.0_1
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files -n libgtkhtml3.0_1
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README TODO
/opt/gnome/lib/lib*.so.*


%post -n libgtkhtml3.0_1
/bin/true

%postun -n libgtkhtml3.0_1
/bin/true

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkhtml-3.0.3
    ;;
all)
%setup  -q -n gtkhtml-3.0.3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/opt/gnome/etc --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/opt/gnome/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 30 2003 Ximian, Inc.

- Version: 3.0.3-0.ximian.1
- Summary: New build.
- New automated build.

* Fri Apr 11 2003 Ximian, Inc.

- Version: 3.0.2-0.ximian.2
- Summary: New build.
- New automated build.

* Wed Apr 9 2003 Ximian, Inc.

- Version: 3.0.1-0.ximian.1
- Summary: New build.
- New automated build.

